Subject: [ltans] FW: [saag] Harber and Stornetta Expiry

From: Carl Wallace <[email-masked]>
Date: Wed, 13 Jul 2011 17:42:30 -0400

This may be of interest to folks on this list.

From:  Phillip Hallam-Baker <[email-masked]>
Date:  Wed, 13 Jul 2011 16:44:10 -0400
To:  <[email-masked]>
Subject:  [saag] Harber and Stornetta Expiry

> Is anyone interested in getting together to discuss possibilities for IETF
> activities in the wake of the expiry (in at least some jurisdictions) of the
> above patent?
> 
> Harber and Stornatta is the chained digest patent that provides a means of
> proving that a document was digested after date X and before date Y. In brief
> each has is chained into the next and the result periodically published in the
> classified section of the NYT. This allows a proof that the digest was
> performed in the interval between two successive hashes.
> 
> The reason this is of immediate practical interest is the problem of
> 'unhistory'. As a lot of the primary collection and storage mechanisms for
> historical data become digital there is more and more scope for falsifying
> them.
> 
> With an ordinary time stamp authority the question 'can we trust Alice not to
> modify the document' becomes 'can we trust the TSA not to collude with Alice'.
> There is an improvement but it is still a thin chain of trust. I would like to
> see the task of falsification be made much harder.
> 
> When only one TSA had the technology there was no particular advantage to
> using it over a regular notary service either. The NYT will probably stop
> being printed in a few years time, libraries will certainly stop keeping paper
> copies (many have already) so the claim of permanency is being undermined in
> any case. Now there is an opportunity to do something more interesting.
> 
> 
> The technology is one thing, but to make it useful we need a social
> infrastructure to support it. The value of this approach above and beyond an
> ordinary TSA comes from having hundreds of independent agencies all providing
> services and auditing/hashing each other.
> 
> So imagine a situation where there is a 'tier1' of providers which all
> undertake to provide a daily digest value that is fed into the digests of each
> of the others. It is now impossible for any individual provider to default
> without that default being seen globally.
> 
> 
> -- 
> Website: http://hallambaker.com/
> 
> _______________________________________________ saag mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/saag